import { setup, startTunnel } from 'cloudflared-tunnel';
function viteCloudflaredTunnel() {
    return {
        name: 'vite-cloudflared-tunnel',
        configureServer(server) {
            if (server.config.command === 'serve') {
                setup().then(() => {
                    startTunnel({
                        host: typeof server.config.server.host === 'string'
                            ? server.config.server.host
                            : 'localhost',
                        port: typeof server.config.server.port === 'number'
                            ? server.config.server.port
                            : 5173,
                    });
                });
            }
        },
    };
}
export default viteCloudflaredTunnel;
